* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

:root {
	--Dark-Blue: hsl(233, 26%, 24%);
	--Lime-Green: hsl(136, 65%, 51%);
	--Bright-Cyan: hsl(192, 70%, 51%);
	--Grayish-Blue: hsl(233, 8%, 62%);
	--Light-Grayish-Blue: hsl(220, 16%, 96%);
	--Very-Light-Gray: hsl(0, 0%, 98%);
	--White: hsl(0, 0%, 100%);
	--color-green-gradient: linear-gradient(to right, hsl(136, 65%, 51%), hsl(192, 70%, 51%));
	--color-cyan-gradient: linear-gradient(to right, hsl(192, 70%, 51%), hsl(136, 65%, 51%));
}

html {
	font-family: 'Public Sans', sans-serif;
	font-size: 18px;
}

.container {
	width: 100%;
	max-width: 80vw;
	margin: auto;
	padding: 0 1.5rem;
}

.btn {
	border: none;
	padding: 0.8rem 1.6rem;
	cursor: pointer;
	background: var(--color-green-gradient);
	border-radius: 50px;
	color: var(--White);
	font-weight: 600;
}
.btn:hover {
	background: var(--color-cyan-gradient);
}

header {
	padding: 1rem;
	background-color: var(--White);
	position: fixed;
	width: 100%;
	z-index: 5;
}

header ul {
	display: none;
}

header .btn {
	display: none;
}

header .container {
	display: flex;
	justify-content: space-between;
	align-items: center;
	flex-wrap: wrap;
}

header input {
	display: none;
}

nav {
	background-color: var(--White);
	width: 90%;
	margin: auto;
	margin-top: 1rem;
	border-radius: 8px;
	position: fixed;
	top: 8%;
	left: 5%;
	z-index: 999;
	display: none;
}

nav ul {
	display: flex;
	flex-direction: column;
	align-items: center;
	line-height: 2.5rem;
	padding: 1rem;
}

ul a {
	text-decoration: none;
	color: var(--Dark-Blue);
}

nav ul li {
	list-style: none;
}

.disp {
	display: flex;
}

/* showcase  */
/* showcase  */

#showcase .container {
	display: flex;
	flex-direction: column;
	align-items: center;
}

#showcase .info {
	width: 100%;
	height: 100%;
	display: flex;
	flex-direction: column;
	align-items: center;
}
#showcase {
	padding-top: 100%;
	background-image: url(/images/image-mockups.png), url(/images/bg-intro-mobile.svg);
	background-repeat: no-repeat, no-repeat;
	background-position: 0 -5rem, top;
	background-size: 100%;
}

#showcase h1 {
	text-align: center;
	font-size: 1.5rem;
	margin: 1rem 0rem;
	color: var(--Dark-Blue);
}
#showcase p {
	text-align: center;
	font-size: 0.6rem;
	margin: 0.5rem 0rem;
	color: var(--Grayish-Blue);
}

#showcase .btn {
	margin: 2rem 0;
}

/* services */
/* services */

#services {
	background: var(--Light-Grayish-Blue);
}

#services .container {
	display: flex;
	flex-direction: column;
	align-items: center;
	/* padding: 0 2rem; */
}

#services .why {
	display: flex;
	flex-direction: column;
	margin: 2rem 0rem;
	text-align: center;
	color: var(--Dark-Blue);
}

#services .why h1 {
	font-size: 1.5rem;
	margin-bottom: 1rem;
}
#services .why p {
	font-size: 0.8rem;
	color: var(--Grayish-Blue);
}

#services .service-list .service {
	display: flex;
	flex-direction: column;
	align-items: center;
	max-width: 250px;
	/* margin: 1rem 0; */
	text-align: center;
	color: var(--Dark-Blue);
}

#services .service-list .service img {
	margin-bottom: 1rem;
}
#services .service-list .service h1 {
	margin-bottom: 1rem;
	font-size: 1rem;
}
#services .service-list .service p {
	margin-bottom: 1rem;
	font-size: 0.8rem;
	color: var(--Grayish-Blue);
}

/* articles */
/* articles */

#articles {
	background: var(--Very-Light-Gray);
}

#articles .container {
	display: flex;
	flex-direction: column;
	align-items: center;
}

#articles .head {
	margin: 4rem 0 2rem 0;
	color: var(--Dark-Blue);
}
#articles .head h1 {
	font-size: 1.8rem;
}

#articles .article-list {
	display: flex;
	flex-direction: column;
	align-items: center;
	padding: 0 0.5rem;
}

#articles .article-list .article-card {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	margin-bottom: 1.5rem;
	border-radius: 8px;
	max-width: 250px;
	background-color: var(--White);
	color: var(--Grayish-Blue);
	box-shadow: 0 10px 18px var(--Light-Grayish-Blue);
}

#articles .article-list .article-card img {
	width: 100%;
	height: 10rem;
	border-top-right-radius: 8px;
	border-top-left-radius: 8px;
	margin-bottom: 1rem;
}

#articles .article-list .article-card p {
	font-size: 0.7rem;
	font-weight: 300;
	padding: 0 1.5rem 1rem 1.5rem;
}

#articles .article-list .article-card h3 {
	font-size: 0.9rem;
	font-weight: 400;
	padding: 0 1.5rem 1rem 1.5rem;
	color: var(--Dark-Blue);
}

/* footer */

footer {
	background: var(--Dark-Blue);
}

footer .container,
footer .left-footer,
footer .left-footer .general-links-1,
footer .left-footer .general-links-2,
footer .right-footer {
	display: flex;
	flex-direction: column;
	align-items: center;
}

footer .left-footer {
	margin-top: 2rem;
}
footer .right-footer {
	margin-bottom: 2rem;
}

footer .left-footer .main-logo {
	margin: 1rem 0 2rem 0;
}

footer .left-footer .social-logos {
	display: flex;
	justify-content: space-between;
	transform: scale(1.3);
	margin-bottom: 2rem;
}

footer .left-footer .general-links-1 a,
footer .left-footer .general-links-2 a {
	text-decoration: none;
	color: var(--White);
	font-size: 0.8rem;
	margin-bottom: 1rem;
}

footer .right-footer .btn {
	margin-bottom: 1.5rem;
}

footer .right-footer p {
	color: var(--Grayish-Blue);
	font-size: 0.7rem;
}
